<TeXmacs|1.0.7.9>

<style|generic>

<\body>
  <section|MATH762 Homework 1 - Finite volume methods>

  Issued 1/31/12, Due 2/21/12

  <subsection|BEARCLAW software>

  <subsubsection|Log on to a 64-bit Linux system>

  It is assumed work will be carried out on a 64-bit Linux system. Students
  have access to such a system by

  <verbatim|ssh -X -l ONYEN pcoip01.its.unc.edu>

  from any other Linux system running an X-windows environment.

  <subsubsection|Install BEARCLAW software>

  The following steps will download, configure and install the BEARCLAW
  finite volume PDE package.

  <\verbatim>
    cd ~

    svn co http://mitran-lab.amath.unc.edu:8082/subversion/bearclaw

    cp /usr/local/share/.bashrc .

    cd bearclaw

    cp /usr/local/share/Makefile.inc .

    bash\ 
  </verbatim>

  <subsubsection|Test BEARCLAW software>

  Try to make and run a 2D advection example.

  <\verbatim>
    cd $BEARCLAW/examples/wavebear/2d/advection/example1

    make dbear

    dbear
  </verbatim>

  The <verbatim|make dbear> command makes the debug version of the code. You
  can use the Intel debugger invoked by <verbatim|idb dbear> or the Totalview
  debugger invoked by <verbatim|tv8 dbear> to debug the code.\ 

  After all errors have been eliminated faster execution is obtained by
  building the optimized version of the code:

  <\verbatim>
    make clean; make outclean; make distclean

    make xbear
  </verbatim>

  <subsection|Shallow water equations>

  <subsubsection|I. Solution using graphical aids>

  The shallow water system is

  <\equation*>
    q<rsub|t>+f<around*|(|q|)><rsub|x>=0
  </equation*>

  <\equation*>
    q=<matrix|<tformat|<table|<row|<cell|h>>|<row|<cell|h
    u>>>>>=<matrix|<tformat|<table|<row|<cell|h>>|<row|<cell|l>>>>>,f=<matrix|<tformat|<table|<row|<cell|u
    h>>|<row|<cell|h u<rsup|2>+<frac|1|2>g
    h<rsup|2>>>>>>=<matrix|<tformat|<table|<row|<cell|l>>|<row|<cell|l<rsup|2>/h+<frac|1|2>g
    h<rsup|2>>>>>>
  </equation*>

  <\enumerate-numeric>
    <item>Compute the flux Jacobian <math|\<partial\>f/\<partial\>q>
    eigensystem.

    <item>The Hugoniot loci are defined by

    <\equation*>
      s <around*|(|q<rsub|\<ast\>>-q|)>=f<around*|(|q<rsub|\<ast\>>|)>-f<around*|(|q|)>
    </equation*>

    Lay down a 11 x 11 grid of <math|q<rsub|\<ast\>>=<around*|(|h<rsub|\<ast\>>,l<rsub|\<ast\>>|)>>
    points in the state space <math|<around*|(|h,l|)>>,
    <math|h=0,0.2,0.4,\<ldots\>.,2.0>, <math|l=-1,-0.8,\<ldots\>,1>. Use some
    graphics package (e.g. Mathematica) to plot the Hugoniot loci passing
    through each point <math|q<rsub|\<ast\>>> of the grid. There are two such
    sets corresponding to shocks in each family of characteristics. Plot
    both.

    <item>The integral curves are defined by the ODEs

    <\equation*>
      q<rprime|'><around*|(|\<xi\>|)>=<frac|\<mathd\>q|\<mathd\>\<xi\>>=r<around*|(|q<around*|(|\<xi\>|)>|)>,
    </equation*>

    with <math|r> an eigenvector of the flux Jacobian. Plot the integral
    curves passing through the points of the grid from Item 2 for both
    eigenvectors.

    <item>Consider the dam break problem

    <\equation*>
      q<around*|(|x,t=0|)>=<around*|{|<tabular|<tformat|<table|<row|<cell|<around*|(|1.5,0|)>>|<cell|x\<less\>0>>|<row|<cell|<around*|(|0.5,0|)>>|<cell|x\<gtr\>0>>>>>|\<nobracket\>>
    </equation*>

    Use the plots constructed in Items 2,3 to find <math|q<around*|(|x,1|)>>.
  </enumerate-numeric>

  <subsubsection|II. Exact solution of the Riemann problem>

  <\enumerate-numeric>
    <item>Write the formulas describing Hugoniot loci and integral curves for
    the shallow water system

    <item>Write the nonlinear systems that describe intermediate states for
    the dam break problem from Item I.4.

    <item>Solve the nonlinear system to find an exact solution
    <math|q<around*|(|x,1|)>>. You can use any convenient nonlinear package
    (e.g. Mathematica)
  </enumerate-numeric>

  <subsubsection|III. Finite volume solution using exact Riemann solver>

  <\enumerate-numeric>
    <item>Go to the BEARCLAW directory containing a template shallow water
    application for this homework assignment <verbatim|cd
    $BEARCLAW/courses/MATH762_Spring2012/homework1/exactRS>

    <item>Follow the code comments in the <verbatim|physflux> routine in
    <verbatim|problem.f90> and implement an exact Riemann solver.

    <item>Execute the code and compare to results from Part II.
  </enumerate-numeric>

  <subsubsection|IV. Roe linearization for shallow water equations>

  At an interface between two finite volume cells the Roe condition

  <\equation*>
    <wide|A|^><rsub|i-1/2><around*|(|Q<rsub|i>-Q<rsub|i-1>|)>=f<around*|(|Q<rsub|i>|)>-f<around*|(|Q<rsub|i-1>|)>
  </equation*>

  ensures exact representation of a jump in an eigendirection. The average
  flux Jacobian <with|mode|math|<wide|A|^><rsub|i-1/2>> can be computed as

  <\equation*>
    <wide|A|^><rsub|i-1/2>=<big-around|\<int\>|<rsub|0><rsup|1><frac|\<partial\>f|\<partial\>q><around*|(|q<around*|(|\<xi\>|)>|)>
    \<mathd\>\<xi\>>
  </equation*>

  along the path

  <\equation*>
    q<around*|(|\<xi\>|)>=Q<rsub|i-1>+<around*|(|Q<rsub|i>-Q<rsub|i-1>|)>\<xi\>
    .
  </equation*>

  In a Roe linearization an auxiliary parametor vector is introduced by

  <\equation*>
    z<around*|(|\<xi\>|)>=Z<rsub|i-1>+<around*|(|Z<rsub|i>-Z<rsub|i-1>|)>\<xi\>
    .
  </equation*>

  We have

  <\equation*>
    f<around*|(|Q<rsub|i>|)>-f<around*|(|Q<rsub|i-1>|)>=<wide|C|^><rsub|i-1/2><around*|(|Z<rsub|i>-Z<rsub|i-1>|)>
  </equation*>

  <\equation*>
    Q<rsub|i>-Q<rsub|i-1>=<wide|B|^><rsub|i-1/2><around*|(|Z<rsub|i>-Z<rsub|i-1>|)>
  </equation*>

  <\equation*>
    <wide|C|^><rsub|i-1/2>=<big-around|\<int\>|<rsub|0><rsup|1><frac|\<partial\>f|\<partial\>z><around*|(|z<around*|(|\<xi\>|)>|)>
    \<mathd\>\<xi\>>
  </equation*>

  <\equation*>
    <wide|B|^><rsub|i-1/2>=<big-around|\<int\>|<rsub|0><rsup|1><frac|\<partial\>q|\<partial\>z><around*|(|z<around*|(|\<xi\>|)>|)>
    \<mathd\>\<xi\>>
  </equation*>

  <\equation*>
    <wide|A|^><rsub|i-1/2>=<wide|C|^><rsub|i-1/2><wide|B|^><rsub|i-1/2><rsup|-1>
  </equation*>

  <\enumerate-numeric>
    <item>Carry out the computation above for

    <\equation*>
      z=<matrix|<tformat|<table|<row|<cell|<sqrt|h>>>|<row|<cell|<sqrt|h
      u>>>>>>
    </equation*>

    to obtain the Roe-average Jacobian

    <\equation*>
      <wide|A|^><rsub|i-1/2>=<matrix|<tformat|<table|<row|<cell|0>|<cell|1>>|<row|<cell|-<wide|u|^><rsup|2>+g
      <wide|h|\<bar\>>>|<cell|2<wide|u|^>>>>>>
    </equation*>

    with

    <\equation*>
      <wide|h|\<bar\>>=<frac|1|2><around*|(|h<rsub|i-1>+h<rsub|i>|)>\<nocomma\>,<wide|u|^>=<frac|<sqrt|h<rsub|i-1>>
      u<rsub|i-1>+<sqrt|h<rsub|i>> u<rsub|i>|<sqrt|h<rsub|i-1>>
      +<sqrt|h<rsub|i>>>
    </equation*>

    <item>Go to the template in \ <verbatim|cd
    $BEARCLAW/courses/MATH762_Spring2012/homework1/Roe> and follow the
    comments to implement the Roe average solver.

    <item>Execute the code and compare with results from Parts II,III
  </enumerate-numeric>

  <subsubsection|V. Arithmetic average>

  An alternative to the Roe-average solver is to naively set

  <\equation*>
    <wide|A|^><rsub|i-1/2>=<frac|\<partial\>f|\<partial\>q><around*|(|<frac|1|2><around*|(|Q<rsub|i-1>+Q<rsub|i>|)>|)>
  </equation*>

  with <math|A<rsub|i-1>,A<rsub|i>> the left and right flux Jacobians.

  <\enumerate-numeric>
    <item>Go to the template in \ <verbatim|cd
    $BEARCLAW/courses/MATH762_Spring2012/homework1/Arith> and follow the
    comments to implement the Roe average solver.

    <item>Execute the code and compare with results from Parts II,III,IV
  </enumerate-numeric>

  \;

  \;

  \;

  \;

  \;
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|1.2.4|?>>
    <associate|auto-11|<tuple|1.2.5|?>>
    <associate|auto-12|<tuple|1.2.6|?>>
    <associate|auto-2|<tuple|1.1|?>>
    <associate|auto-3|<tuple|1.1.1|?>>
    <associate|auto-4|<tuple|1.1.2|?>>
    <associate|auto-5|<tuple|1.1.3|?>>
    <associate|auto-6|<tuple|1.2|?>>
    <associate|auto-7|<tuple|1.2.1|?>>
    <associate|auto-8|<tuple|1.2.2|?>>
    <associate|auto-9|<tuple|1.2.3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|MATH762
      Homework 1> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>