<TeXmacs|1.0.7.9>

<style|generic>

<\body>
  <section|MATH762 Homework 2 - Finite element methods>

  Issued 2/21/12, Due 3/1/12

  <subsection|FreeFEM software>

  <\enumerate-numeric>
    <item>Download and install FreeFEM++-cs from

    <verbatim|http://www.ann.jussieu.fr/~lehyaric/ffcs/install.php>

    <item>Go through the tutorial

    <verbatim|http://www.ann.jussieu.fr/~lehyaric/ffcs/learning.php>

    <item>Browse through the documentation

    <verbatim|http://www.ann.jussieu.fr/~lehyaric/ffcs/doc/ff/ffdoc.html>

    <item>Study the thermal conduction problem at

    <verbatim|http://www.ann.jussieu.fr/~lehyaric/ffcs/doc/ff/ffdocch3.html#x7-350003.4>
  </enumerate-numeric>

  <subsection|Heat conduction in a cooling fin>

  <subsubsection|I. Problem description>

  In order to rapidly cool a region fin shapes are often placed on the
  periphery to efficiently conduct heat away towards circulating coolant
  flow. Examples: internal combustion engines, refrigeration coils, etc.\ 

  <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|8cm|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-line-width|0.5ln|gr-line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|gr-color|black|<graphics||<cline|<point|-6|2>|<point|6.0|1.0>|<point|6.0|-1.0>|<point|-6.0|-2.0>>|<with|color|red|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-7.6|1.4>|<point|-6.3|1.4>>>|<with|color|red|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-7.6|0.4>|<point|-6.3|0.4>>>|<with|color|red|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-7.6|-0.7>|<point|-6.3|-0.7>>>|<with|color|red|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-7.6|-1.7>|<point|-6.4|-1.7>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|-4.4|2.2>|<point|-3.6|2.5>|<point|-3.3|3.0>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|-1|2>|<point|0.0|2.2>|<point|0.3|2.7>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|2.4|1.6>|<point|3.5|1.7>|<point|4.0|2.0>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|-4.2|-2.2>|<point|-3.2|-2.4>|<point|-2.7|-3.0>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|-1.5|-2>|<point|-0.4|-2.3>|<point|0.0|-3.0>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|1.7|-1.8>|<point|3.0|-2.2>|<point|3.4|-2.7>>>|<text-at|Coolant|<point|2|2>>|<text-at|<math|\<Omega\>>|<point|-4|0.3>>|<text-at|<math|\<Sigma\><rsub|1>>|<point|-5.8|1.0>>|<text-at|<math|\<Sigma\><rsub|2>>|<point|0.6|-1>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|10ln|6ln>|<tuple|0ln|0ln>|<tuple|10ln|-6ln>>>|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-6|3.5>|<point|6.0|3.5>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|6.3|-0.4>|<point|7.0|-0.5>|<point|7.0|-1.0>>>|<with|color|blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<spline|<point|6.3|0.5>|<point|6.7|0.5>|<point|7.0|1.0>>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|10ln|6ln>|<tuple|0ln|0ln>|<tuple|10ln|-6ln>>>|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|7.8|1>|<point|7.8|-1.0>>>|<text-at|Heat
  flux|<point|-7.5|-0.3>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|10ln|6ln>|<tuple|0ln|0ln>|<tuple|10ln|-6ln>>>|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-8|2>|<point|-8.0|-2.0>>>|<text-at|<math|a>|<point|-7.7|1.7>>|<text-at|<math|b>|<point|7.5|0.5>>|<text-at|<math|l>|<point|-0.4|3.6>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-6.02454028310623|-0.0360993517661066>|<point|-4.7|0.0>>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-5.98220664109009|-0.0149325307580368>|<point|-6.0|0.8>>>|<text-at|<math|x>|<point|-5|0.3>>|<text-at|<math|y>|<point|-6.3|0.7>>>>

  The mathematical statement of the problem is

  <\equation*>
    q<rsub|t>=\<nabla\>\<cdot\><around*|(|\<alpha\> \<nabla\>q|)> in
    \<Omega\>
  </equation*>

  <\equation*>
    <frac|\<partial\>q|\<partial\>n>=Q on \<Sigma\><rsub|1>
  </equation*>

  <\equation*>
    q=T on \<Sigma\><rsub|2>
  </equation*>

  <\equation*>
    q<around*|(|x,y,t=0|)>=T
  </equation*>

  <\enumerate-numeric>
    <item>Choose <math|a,b,l,Q,T>. Set <math|\<alpha\>=constant>. Solve the
    problem and present contour lines of <math|q<around*|(|x,y,t|)>> at
    <math|t=>1,2,..,10. Discretize the domain with
    <math|n=50,100,150,200,250> points along the boundary. Compare solutions.
    Start with elements resulting from <math|n=50> and carry out grid
    adaptation. Compare with grid from <math|n=250.>

    <item>Consider <math|\<alpha\>=1+x> and repeat above computation.

    <item>Consider <math|\<alpha\>=1+q> and solve the resulting nonlinear
    problem by iteration. Use grid adaptation and start from the <math|n=200>
    domain discretization.
  </enumerate-numeric>

  \;
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|1>>
    <associate|auto-10|<tuple|1.2.4|?>>
    <associate|auto-11|<tuple|1.2.5|?>>
    <associate|auto-12|<tuple|1.2.6|?>>
    <associate|auto-2|<tuple|1.1|1>>
    <associate|auto-3|<tuple|1.2|1>>
    <associate|auto-4|<tuple|1.2.1|1>>
    <associate|auto-5|<tuple|1.2.2|?>>
    <associate|auto-6|<tuple|1.2.3|?>>
    <associate|auto-7|<tuple|1.2.4|?>>
    <associate|auto-8|<tuple|1.2.5|?>>
    <associate|auto-9|<tuple|1.2.3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|MATH762
      Homework 2 - Finite element methods>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      <with|par-left|<quote|1.5fn>|FreeFEM software
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>>

      <with|par-left|<quote|1.5fn>|Heat conduction in a cooling fin
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>

      <with|par-left|<quote|3fn>|I. Problem description
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>>
    </associate>
  </collection>
</auxiliary>