<TeXmacs|1.0.7.9>

<style|generic>

<\body>
  <section|MATH 762 Homework 3 - Parallel computing>

  You have your choice of trying either an MPI or CUDA parallel computing
  example

  <subsection|SpectralMPI>

  <subsubsection|Software installation>

  <\itemize-dot>
    <item>Request an account on <verbatim|killdevil.unc.edu>

    <item>Download SpectralMPI from svn server

    <verbatim|svn co http://mitran-lab.amath.unc.edu:8082/subversion/SpectralMPI/>cd
    S

    <item>Configure your environment to use gcc and OpenMPI

    <verbatim|module initadd openmpi_gcc>

    <item>Go to the source code directory, download and install HDF4 support
    library

    <verbatim|cd ./SpectralMPI/c>

    w<verbatim|get http://www.hdfgroup.org/ftp/HDF/HDF_Current/bin/linux-x86_64/hdf-4.2.7-linux-x86_64.tar.gz>

    <\verbatim>
      tar zxvf hdf-4.2.7-linux-x86_64.tar.gz

      rm hdf-4.2.7-linux-x86_64.tar.gz
    </verbatim>

    <verbatim|ln -s hdf-4.2.7-linux-x86_64 hdf>

    <item>Download and install version 2.1.5 of FFTW

    <verbatim|wget http://www.fftw.org/fftw-2.1.5.tar.gz>

    <\verbatim>
      tar zxvf fftw-2.1.5.tar.gz

      cd \ fftw-2.1.5
    </verbatim>

    <\verbatim>
      make

      make install
    </verbatim>

    <item>Modify the Makefile to reflect location of HDF and FFTW libraries
  </itemize-dot>

  <subsubsection|Tasks>

  <\enumerate-numeric>
    <item>Study the effect of hyperdiffusion (<math|n=2>) versus normal
    diffusion (<math|n=1>) for grid sizes of <math|128 \<times\>128> and
    <math|512\<times\>512>.

    <item>Carry out a scaling study of performance with increasing number of
    CPUs for <math|512*\<times\>512>, <math|N<rsub|CPU>=4,8,12,16>,32,64.

    \;
  </enumerate-numeric>

  <subsubsection|Project ideas>

  <\enumerate-numeric>
    <item>Consider an additional vorticity source modeled physically as
    dependent on velocity magnitude leading to the equation

    <\equation*>
      \<theta\><rsub|t>=\<psi\><rsub|y> \<theta\><rsub|x>-\<psi\><rsub|x>\<theta\><rsub|y>+\<nu\>
      \<vartriangle\>\<theta\>+a<around*|(|\<psi\><rsub|x><rsup|2>+\<psi\><rsub|y><rsup|2>|)>
    </equation*>

    <item>Consider the interaction of vorticity with a phase-change model

    <\equation*>
      \<theta\><rsub|t>=\<psi\><rsub|y> \<theta\><rsub|x>-\<psi\><rsub|x>\<theta\><rsub|y>+\<nu\>
      \<vartriangle\>\<theta\>-a \<tau\>
    </equation*>

    <\equation*>
      \<tau\><rsub|t>=\<psi\><rsub|y> \<tau\><rsub|x>-\<psi\><rsub|x>\<tau\><rsub|y>+\<alpha\>
      \<vartriangle\>\<tau\>+b \<theta\> .
    </equation*>
  </enumerate-numeric>

  <subsection|qPAflow>

  <subsubsection|Software installation>

  <\itemize-dot>
    <item>Use your account on <verbatim|pcoip01.its.unc.edu> and checkout a
    copy of the lattice Boltzmann code

    <verbatim|svn co http://mitran-lab.amath.unc.edu:8081/subversion/VirtualLung/qPAflow/>

    <item>The lattice Boltzmann code is implemented in CUDA for GPU execution
    and called from a BEARCLAW application (refer to Homework 1 on BEARCLAW
    installation)

    <item>Edit your <verbatim|~/.bashrc> file

    <verbatim|export LBMLIB=$HOME/qPAflow/code/lib>
  </itemize-dot>

  <subsubsection|Example application>

  A simple example is flow in a pipe with square cross section

  <\itemize-dot>
    <item><verbatim|cd $HOME/qPAflow/code/examples/SquarePipe>
  </itemize-dot>

  <subsubsection|Tasks>

  <\enumerate-numeric>
    <item>Place a cubic obstacle in the channel and compute the resulting
    flow
  </enumerate-numeric>

  <subsubsection|Project ideas>

  <\enumerate-numeric>
    <item>Extend to multi-color (multiple species) Boltzmann

    <item>Include porous medium model
  </enumerate-numeric>
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
    <associate|sfactor|4>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|1.2.4|?>>
    <associate|auto-2|<tuple|1.1|?>>
    <associate|auto-3|<tuple|1.1.1|?>>
    <associate|auto-4|<tuple|1.1.2|?>>
    <associate|auto-5|<tuple|1.1.3|?>>
    <associate|auto-6|<tuple|1.2|?>>
    <associate|auto-7|<tuple|1.2.1|?>>
    <associate|auto-8|<tuple|1.2.2|?>>
    <associate|auto-9|<tuple|1.2.3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|MATH
      762 Homework 3 - Parallel computing>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      <with|par-left|<quote|1.5fn>|SpectralMPI
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>>

      <with|par-left|<quote|3fn>|Software installation
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>
    </associate>
  </collection>
</auxiliary>