<TeXmacs|1.0.7.9>

<style|generic>

<\body>
  <section|Canonical hyperbolic PDE systems>

  <subsection|Linear equations>

  <subsubsection|Elasticity>

  Consider a one-dimensional bar subject to a stretching force at one end and
  with the other end fixed. The force produces at time <math|t\<gtr\>0> a
  displacement <math|d<around*|(|x,t|)>> of an infinitesimal portion of the
  bar which was at position <math|x> in the initial state at <math|t=0>,
  before applying force <math|f<around*|(|t|)>>. The speed at which the
  infinitesimal portion of the bar moves is

  <\equation*>
    u<around*|(|x,t|)>=<frac|\<partial\> d<around*|(|x,t|)>|\<partial\>t>=d<rsub|t><around*|(|x,t|)>
    .
  </equation*>

  Since one end is fixed, the material's response to the applied force is the
  appearance of internal forces. The force per unit area of cross section is
  called the stress <math|\<sigma\><around*|(|x,t|)>>. Adjacent elements
  might be deformed differently. The change in the <math|x>-direction of
  deformation is called the strain\ 

  <\equation*>
    \<epsilon\><around*|(|x,t|)>=<frac|\<partial\>d<around*|(|x,t|)>|\<partial\>x>=d<rsub|x><around*|(|x,t|)>.
  </equation*>

  Note that

  <\equation*>
    \<epsilon\><rsub|t>-u<rsub|x>=0 .
  </equation*>

  \ Newton's law states that the force difference between two sides of an
  infinitesimal element produces a change in the momentum

  <\equation*>
    \<rho\> u<rsub|t>-\<sigma\><rsub|x>=0.
  </equation*>

  We have two equations for three unknown functions. The system is closed by
  some physical hypothesis on the response of the bar to imposed forces. The
  simplest hypothesis is the linear behavior given by Young's law

  <\equation*>
    \<sigma\>=E \<epsilon\>,
  </equation*>

  with <math|E> known as Young's modulus or the tensile modulus. This allows
  forming a system

  <\equation*>
    q<rsub|t>+A q<rsub|x>=0
  </equation*>

  <\equation*>
    q=<matrix|<tformat|<table|<row|<cell|\<sigma\>>>|<row|<cell|u>>>>>,A=<matrix|<tformat|<table|<row|<cell|0>|<cell|-E>>|<row|<cell|-1/\<rho\>>|<cell|0>>>>>
    .
  </equation*>

  The matrix <math|A> has the complete eigensystem

  <\equation*>
    \<lambda\><rsub|1>=-c,r<rsub|1>=<matrix|<tformat|<table|<row|<cell|c>>|<row|<cell|1>>>>>,\<lambda\><rsub|2>=c,r<rsub|2>=<matrix|<tformat|<table|<row|<cell|-c>>|<row|<cell|1>>>>>
    ,
  </equation*>

  with <math|c=<sqrt|E/\<rho\>>> the elastic wave speed through the material.

  In matrix formulation

  <\equation*>
    \<Lambda\>=<matrix|<tformat|<table|<row|<cell|-c>|<cell|0>>|<row|<cell|0>|<cell|c>>>>>,R=<matrix|<tformat|<table|<row|<cell|c>|<cell|-c>>|<row|<cell|1>|<cell|1>>>>>,R<rsup|-1>=<frac|1|2><matrix|<tformat|<table|<row|<cell|1/c>|<cell|-1/c>>|<row|<cell|1>|<cell|1>>>>>
  </equation*>

  <small-figure|<with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|10cm|6cm|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-line-width|0.5ln|gr-color|black|gr-line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|gr-dash-style|default|<graphics||<with|line-width|5ln|<line|<point|-4|2.5>|<point|-4.0|0.5>>>|<with|line-width|5ln|<line|<point|-4|-0.5>|<point|-4.0|-2.5>>>|<with|line-width|2ln|<line|<point|-4.0|2.0>|<point|2.0|2.0>|<point|2.0|1.0>|<point|-4.0|1.0>>>|<with|line-width|2ln|<line|<point|-4.0|-1.0>|<point|4.0|-1.0>|<point|4.0|-2.0>|<point|-4.0|-2.0>>>|<with|color|dark
  blue|line-width|5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|4.0|-1.5>|<point|5.0|-1.5>>>|<with|line-width|0.5ln|dash-style|<tuple|1|1|1|0|0>|<line|<point|2.0|1.5>|<point|4.0|-1.4>>>|<with|line-width|0.5ln|dash-style|<tuple|1|1|1|0|0>|<line|<point|1|1.5>|<point|2.7|-1.6>>>|<with|line-width|0.5ln|dash-style|<tuple|1|1|1|0|0>|<line|<point|-1.0|1.5>|<point|0.3|-1.6>>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-4.0|2.4>|<point|1.0|2.4>>>|<text-at|<math|x>|<point|-1.7|2.5>>|<with|line-width|0.5ln|<line|<point|1|2.7>|<point|1.0|-2.6>>>|<with|line-width|0.5ln|<line|<point|2.7|-1.6>|<point|2.7|-2.6>>>|<with|line-width|0.5ln|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|1.0|-2.4>|<point|2.7|-2.4>>>|<text-at|<math|d<around*|(|x|)>>|<point|1.7|-2.8>>|<text-at|<math|f<around*|(|t|)>>|<point|4.4|-1.2>>>>|Deformation
  of a one-dimensional bar>

  <subsubsection|Acoustics>

  Moving a piston in a cylinder containing a compressible gas will produce
  density <math|\<rho\><around*|(|x,t|)>> and pressure
  <math|p<around*|(|x,t|)>> increases which travel through the piston

  <small-figure|<with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|10cm|6cm|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-line-width|0.5ln|gr-line-arrows|default|gr-dash-style|<tuple|1|1|1|0|0>|<graphics||<with|line-width|2ln|<line|<point|-3|2>|<point|-3.0|0.2>>>|<with|line-width|2ln|<line|<point|-3|-0.2>|<point|-3.0|-2.0>|<point|4.0|-2.0>>>|<with|line-width|2ln|<line|<point|-3.0|2.0>|<point|4.0|2.0>>>|<with|line-width|5ln|<line|<point|-4.7|0>|<point|-2.0|0.0>>>|<with|line-width|5ln|<line|<point|-2.0|2.0>|<point|-2.0|-2.0>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-4.6|0.5>|<point|-3.7|0.5>>>|<with|line-width|0.5ln|dash-style|<tuple|1|1|1|0|0>|<line|<point|0.0|2.0>|<point|0.0|-2.0>>>|<with|line-width|0.5ln|dash-style|<tuple|1|1|1|0|0>|<line|<point|3.0|2.0>|<point|3.0|-2.0>>>|<point|-1.6|1.6>|<point|-1.4|1.3>|<point|-1|1.5>|<point|-1.0|1.6>|<point|-1.4|1.7>|<point|-1|1>|<point|-0.6|1.4>|<point|-0.4|1.6>|<point|-0.6|1>|<point|-1|0.7>|<point|-1.6|1>|<point|-1.5|0.3>|<point|-1.3|0.6>|<point|-1|0.3>|<point|-0.6|0.6>|<point|0.0|0.5>|<point|-0.4|0>|<point|-0.3|0.6>|<point|0.0|1.0>|<point|-1|-0.3>|<point|-0.3|1.3>|<point|-1.4|-0.3>|<point|-1.6|0>|<point|-1.7|0.4>|<point|-1.8|0.7>|<point|-1.5|0.8>|<point|-1.3|1>|<point|-1.8|1.3>|<point|-1|0>|<point|-0.6|0.4>|<point|-1.3|0>|<point|-1.7|-0.2>|<point|-2.0|-0.5>|<point|-1.7|-0.5>|<point|-1.5|-0.7>|<point|-1|-0.7>|<point|-1.0|-0.4>|<point|-0.6|-0.6>|<point|-0.5|-0.2>|<point|-0.7|0>|<point|-0.3|-0.6>|<point|-0.3|0.3>|<point|-0.2|-0.3>|<point|-1.5|-1>|<point|-1.6|-1.5>|<point|-1.7|-1.3>|<point|-2.0|-1.0>|<point|-1.7|-1.0>|<point|-1|-1.2>|<point|-0.6|-1.6>|<point|-0.3|-1.6>|<point|-0.4|-1>|<point|-0.6|-1.2>|<point|-0.7|-1>|<point|-1|-1.5>|<point|-1.4|-1.4>|<point|-1.3|-1.7>|<point|-1.0|-1.8>|<point|-0.4|-1.8>|<point|-0.2|-1.3>|<point|-0.2|-1.0>|<point|-1.3|-1.0>|<point|1|1.5>|<point|1.4|1>|<point|2|1.4>|<point|0.5|1.3>|<point|0.5|0.6>|<point|1|1>|<point|1|0>|<point|1.6|0.3>|<point|2|1>|<point|2.5|1>|<point|2.6|0.3>|<point|2|0.4>|<point|2|-0.4>|<point|2.5|0>|<point|2.6|-0.7>|<point|1.6|-0.7>|<point|0.7|-0.4>|<point|0.4|0>|<point|1|0.4>|<point|0.6|-1>|<point|1|-0.8>|<point|1.4|-1.4>|<point|2.0|-1.8>|<point|2|-1>|<point|2.4|-1.5>|<point|2.6|-1.2>|<point|2.7|-1.8>|<point|1.0|-1.8>|<point|0.3|-0.7>|<point|0.4|-1.5>|<point|0.5|1.7>|<point|2.6|1.7>>>|Moving
  a piston produces compression waves in a gas>

  The conservation of mass and momentum leads to equations

  <\equation*>
    \<rho\><rsub|t>+<around*|(|\<rho\> u|)><rsub|x>=0
  </equation*>

  <\equation*>
    <around*|(|\<rho\> u|)><rsub|t>+<around*|(|\<rho\> u u+p|)><rsub|x>=0
  </equation*>

  The density and pressure can be considered as composed of constant
  background values <math|<around*|(|\<rho\><rsub|0>,p<rsub|0>,u<rsub|0>=0|)>>
  and perturbations <math|<around*|(|\<rho\><rprime|'>,p<rprime|'>,u<rprime|'>|)>>.
  If the perturbations are assumed to be small
  <math|\<rho\><rprime|'>\<ll\>\<rho\><rsub|0>>,
  <math|p<rprime|'>\<ll\>p<rsub|0>>, second-order effects (e.g.
  <math|\<rho\><rprime|'>u<rprime|'>>, <math|\<rho\><rsub|0>u<rprime|'>u<rprime|'>>)
  can be neglected leading to\ 

  <\equation*>
    \<rho\><rprime|'><rsub|t>+\<rho\><rsub|0> u<rprime|'><rsub|x>=0,
  </equation*>

  <\equation*>
    \<rho\><rsub|0>u<rprime|'><rsub|t>+p<rprime|'><rsub|x>=0 .
  </equation*>

  Again, a constitutive equation is needed to close the system. For acoustics
  the compression is assumed to occur sufficiently fast that no heat
  conduction takes place, the process is said to isentropic. In such cases we
  pressure perturbations are linked to density perturbations by the
  isentropic transformation law

  <\equation*>
    <frac|p<around*|(|\<rho\>|)>|p<rsub|0>>=<frac|\<rho\><rsup|\<gamma\>>|\<rho\><rsub|0><rsup|\<gamma\>>>
  </equation*>

  with <math|\<gamma\>> the adiabatic coefficient. Take logarithm

  <\equation*>
    ln p-ln p<rsub|0>=\<gamma\><around*|(|ln \<rho\>-ln \<rho\><rsub|0>|)>
  </equation*>

  and differentiate to obtain

  <\equation*>
    <frac|\<mathd\>p|p>=\<gamma\><frac|\<mathd\>\<rho\>|\<rho\>>\<nosymbol\>,
  </equation*>

  For small perturbations we therefore have

  <\equation*>
    <frac|p<rprime|'>|p<rsub|0>>=\<gamma\><frac|\<rho\><rprime|'>|\<rho\><rsub|0>>\<Rightarrow\>p<rprime|'>=c<rsup|2>\<rho\><rprime|'>
  </equation*>

  with

  <\equation*>
    c=<sqrt|\<gamma\><frac|p<rsub|0>|\<rho\><rsub|0>>>
  </equation*>

  the sound speed in the medium. The system

  <\equation*>
    q<rsub|t>+A q<rsub|x>=0
  </equation*>

  <\equation*>
    q=<matrix|<tformat|<table|<row|<cell|p>>|<row|<cell|u>>>>>,A=<matrix|<tformat|<table|<row|<cell|0>|<cell|\<rho\><rsub|0>c<rsup|2>>>|<row|<cell|1/\<rho\><rsub|0>>|<cell|0>>>>>
  </equation*>

  <\equation*>
    \<Lambda\>=<matrix|<tformat|<table|<row|<cell|-c>|<cell|0>>|<row|<cell|0>|<cell|c>>>>>,R=<matrix|<tformat|<table|<row|<cell|-\<rho\><rsub|0>c>|<cell|\<rho\><rsub|0>c>>|<row|<cell|1>|<cell|1>>>>>,R<rsup|-1>=<frac|1|2><matrix|<tformat|<table|<row|<cell|-1/\<rho\><rsub|0>c>|<cell|1/\<rho\><rsub|0>c>>|<row|<cell|1>|<cell|1>>>>>
  </equation*>

  <subsection|Non-linear equations>

  <subsubsection|Shallow water equations>

  Consider the flow of water of varying depth <math|h<around*|(|x,t|)> >over
  distances much larger than <math|h>. Variations in the vertical direction
  can be neglected leading to the system

  <\equation*>
    q<rsub|t>+f<around*|(|q|)><rsub|x>=0
  </equation*>

  <\equation*>
    q=<matrix|<tformat|<table|<row|<cell|h>>|<row|<cell|h
    u>>>>>,f=<matrix|<tformat|<table|<row|<cell|u h>>|<row|<cell|h
    u<rsup|2>+<frac|1|2>g h<rsup|2>>>>>>
  </equation*>

  <subsubsection|Euler equations for gas dynamics>
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-2|<tuple|1.1|?>>
    <associate|auto-3|<tuple|1.1.1|?>>
    <associate|auto-4|<tuple|1|?>>
    <associate|auto-5|<tuple|1.1.2|?>>
    <associate|auto-6|<tuple|2|?>>
    <associate|auto-7|<tuple|1.2|?>>
    <associate|auto-8|<tuple|1.2.1|?>>
    <associate|auto-9|<tuple|1.2.2|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Canonical
      hyperbolic PDE systems> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>